CVE-2020-27730

In versions 3.0.0-3.9.0, 2.0.0-2.9.0, and 1.0.1, the NGINX Controller Agent does not use absolute paths when calling system utilities.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:f5:nginx_controller:*:*:*:*:*:*:*:*
cpe:2.3:a:f5:nginx_controller:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:f5:nginx_controller:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:a:netapp:cloud_backup:-:*:*:*:*:*:*:*

History

06 Aug 2022, 03:51

Type Values Removed Values Added
CPE cpe:2.3:a:netapp:cloud_backup:-:*:*:*:*:*:*:*
First Time Netapp
Netapp cloud Backup
References (CONFIRM) https://security.netapp.com/advisory/ntap-20210115-0004/ - (CONFIRM) https://security.netapp.com/advisory/ntap-20210115-0004/ - Third Party Advisory

15 Jan 2021, 11:15

Type Values Removed Values Added
References
  • (CONFIRM) https://security.netapp.com/advisory/ntap-20210115-0004/ -

Information

Published : 2020-12-11 20:15

Updated : 2022-08-06 03:51


NVD link : CVE-2020-27730

Mitre link : CVE-2020-27730


JSON object : View

Products Affected

netapp

  • cloud_backup

f5

  • nginx_controller
CWE
CWE-22

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')